libzypp 17.38.15

PluginFrame.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <map>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/ByteArray.h>`
`#include <zypp-core/rpc/PluginFrameException.h>`

Go to the source code of this file.

## Classes
class | zypp::PluginFrame
| Command frame for communication with PluginScript. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const PluginFrame &obj)
| relates: PluginFrame Stream output for logging
std::ostream & | zypp::dumpOn (std::ostream &str, const PluginFrame &obj)
| relates: PluginFrame Stream output writing all data for logging (no throw)
std::istream & | zypp::operator>> (std::istream &str, PluginFrame &obj)
| relates: PluginFrame Construct from stream.
bool | zypp::operator== (const PluginFrame &lhs, const PluginFrame &rhs)
| relates: PluginFrame Comparison based on content.
bool | zypp::operator!= (const PluginFrame &lhs, const PluginFrame &rhs)
| relates: PluginFrame Comparison based on content.